/* Función que calcula n (real) elevado a la potencia m (entero) */

#include <stdio.h>

double potencia(double n, int m)
{
    int i;
    double resultado = 1.0;

    for (i = 0; i < m; i++)
    {
        resultado = resultado * n;
    }

    return resultado;
}

int main()
{
    double base, resultado;
    int exponente;

    printf("\n[+] Introduce la base: ");
    scanf("%lf", &base);

    printf("\n[+] Introduce el exponente: ");
    scanf("%d", &exponente);

    resultado = potencia(base, exponente);

    printf("\n[i] El resultado de elevar %.2f a la potencia %d es: %.2f\n\n", base, exponente, resultado);

    return 0;
}
